## ros-kinetic-homer-robot-face 1.0.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(homer_robot_face)

find_package(catkin REQUIRED COMPONENTS 
	roscpp
	roslib
	std_msgs
	sensor_msgs
	message_generation
	genmsg
	image_transport
	cv_bridge
	cmake_modules
)

#set the default path for built executables to the "bin" directory
#INSTALL(CODE "FILE(MAKE_DIRECTORY \${ENV}\${CMAKE_INSTALL_PREFIX}${mydir})")
#set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
#set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
# Use OGRE from ROS
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} /usr/share/OGRE/cmake/modules)
#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -isystem ${ogre_PACKAGE_PATH}/ogre/include/OGRE")
# QT related
set(QT_USE_QTXML TRUE)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")


#for face output
find_package(OGRE REQUIRED COMPONENTS RenderSystem_GL)
add_definitions( -DOGRE_PLUGIN_PATH="/usr/lib/x86_64-linux-gnu/OGRE-1.9.0")
#for GUI visualization
find_package(Qt5 REQUIRED COMPONENTS Core Widgets X11Extras)
#for speak out
find_package(Festival REQUIRED)
#festival depends on that
find_package(EST REQUIRED)
#for resizing image
find_package(OpenCV REQUIRED)

add_message_files(
	FILES
		DisplayImage.msg
		DisplayImageFile.msg
)

generate_messages(
	DEPENDENCIES
		sensor_msgs
)

###########
## Build ##
###########

#set build type
#set(CMAKE_BUILD_TYPE Debug)
set(CMAKE_BUILD_TYPE Release)	

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
#get_cmake_property(_variableNames VARIABLES)
#foreach (_variableName ${_variableNames})
#	message(STATUS "${_variableName}=${${_variableName}}")
#endforeach()
include_directories(
	include
	SYSTEM
	${catkin_INCLUDE_DIRS}
	${Qt5Core_INCLUDE_DIRS}
	${Qt5Widgets_INCLUDE_DIRS}
	${Qt5X11Extras_INCLUDE_DIRS}
	${Festival_INCLUDE_DIR}
	${EST_INCLUDE_DIR}
	${OGRE_INCLUDE_DIR}
	#/usr/include/OGRE/
)
#include(${QT_USE_FILE}) 

catkin_package(
	CATKIN_DEPENDS roscpp message_runtime std_msgs sensor_msgs
)

## Declare source files
set(RobotFace_SRC
	src/main.cpp
	src/MainWindow.cpp
	src/TalkingHead.cpp
	src/TextOutDisplay.cpp
	src/QtRosNode.cpp
	src/FestivalGenerator.cpp
	src/RotationLabel.cpp
	src/TextProcessor.cpp
	src/ImageDisplay.cpp
)

# Declare header files (needed to specify all include files for wrapping with QT5)
set(RobotFace_INC
	include/homer_robot_face/MainWindow.h
	include/homer_robot_face/TalkingHead.h
	include/homer_robot_face/TextOutDisplay.h
	include/homer_robot_face/QtRosNode.h
	include/homer_robot_face/FestivalGenerator.h
	include/homer_robot_face/RotationLabel.h
	include/homer_robot_face/ImageDisplay.h
)

QT5_WRAP_CPP(RobotFace_MOC_SRC ${RobotFace_INC})

add_executable(FestivalSynthesizer src/FestivalSynthesizer.cpp src/TextProcessor.cpp )
add_executable(RobotFace ${RobotFace_SRC} ${RobotFace_MOC_SRC})

# fix archlinux build
list(APPEND Festival_LIBRARIES curses)



add_dependencies(RobotFace ${PROJECT_NAME}_gencpp)

target_link_libraries(FestivalSynthesizer
	${catkin_LIBRARIES}
	${Festival_LIBRARIES}
	${EST_LIBRARIES}
	pulse-simple
)

target_link_libraries(RobotFace
	${catkin_LIBRARIES}
	${Qt5Core_LIBRARIES}
	${Qt5Widgets_LIBRARIES}
	${Qt5X11Extras_LIBRARIES}
	${OGRE_LIBRARIES}
	#/usr/lib/x86_64-linux-gnu/OGRE-1.9.0/RenderSystem_GL.so
	${Festival_LIBRARIES}
	${EST_LIBRARIES}
	pthread
)

install(TARGETS FestivalSynthesizer RobotFace 
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

install(DIRECTORY images/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/images
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY mesh/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/mesh
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_ptu.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#	 target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-kinetic-homer-robot-face (1.0.18-1xenial) xenial; urgency=high

  * bigger text size for expected input
  * Contributors: Lisa

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Thu, 30 Mar 2017 22:00:00 -0000

ros-kinetic-homer-robot-face (1.0.17-1xenial) xenial; urgency=high



 -- Julian Giesen <jgiesen@uni-koblenz.de>  Sun, 19 Mar 2017 23:00:00 -0000

ros-kinetic-homer-robot-face (1.0.15-1xenial) xenial; urgency=high

  * expected input added to robot face
  * right talking finished text output handleing
  * smaller queue sizes
  * Contributors: Florian Polster, Lisa

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Thu, 09 Mar 2017 23:00:00 -0000

ros-kinetic-homer-robot-face (1.0.14-1xenial) xenial; urgency=high

  * fixed missing RenderSystem_GL error
  * Contributors: Niklas Yann Wettengel

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Tue, 13 Dec 2016 23:00:00 -0000

ros-kinetic-homer-robot-face (1.0.13-1xenial) xenial; urgency=high

  * latest changes from homer-repo
  * Contributors: Niklas Yann Wettengel

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Tue, 06 Dec 2016 23:00:00 -0000

ros-kinetic-homer-robot-face (1.0.11-1xenial) xenial; urgency=high

  * homer_robot_face: added homer_mary_tts dependency
  * homer_robot_face: install everything
  * Contributors: Niklas Yann Wettengel

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Mon, 05 Dec 2016 23:00:00 -0000

ros-kinetic-homer-robot-face (1.0.10-1xenial) xenial; urgency=high

  * added libqt5x11extras5-dev dependency
  * Contributors: Niklas Yann Wettengel

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Wed, 16 Nov 2016 23:00:00 -0000

ros-kinetic-homer-robot-face (1.0.9-1xenial) xenial; urgency=high

  * qt4->qt5 in package.xml
  * Contributors: Niklas Yann Wettengel

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Wed, 16 Nov 2016 23:00:00 -0000

ros-kinetic-homer-robot-face (1.0.8-1xenial) xenial; urgency=high

  * fix?
  * Contributors: Niklas Yann Wettengel

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Mon, 14 Nov 2016 23:00:00 -0000

ros-kinetic-homer-robot-face (0.1.1-1xenial) xenial; urgency=high

  * robot_face -> homer_robot_face
  * Contributors: Niklas Yann Wettengel

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Mon, 14 Nov 2016 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-homer-robot-face
Section: misc
Priority: extra
Maintainer: Julian Giesen <jgiesen@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), festival, festival-dev, festvox-kallpc16k, libesd0-dev, libestools-dev, libogre-1.9-dev, libopencv-dev, libpulse-dev, libqt5x11extras5-dev, qtbase5-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-cv-bridge, ros-kinetic-genmsg, ros-kinetic-image-transport, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-roscpp-serialization, ros-kinetic-roslang, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-homer-robot-face
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, festival, festival-dev, festvox-kallpc16k, libesd0-dev, libestools-dev, libogre-1.9-dev, libopencv-dev, libpulse-dev, libqt5x11extras5-dev, qtbase5-dev, ros-kinetic-cv-bridge, ros-kinetic-homer-mary-tts, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-roscpp-serialization, ros-kinetic-roslib, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Description: An application to display a talking head on your robot for human robot interaction.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-homer-robot-face//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
